# ControllersCollection Class Reference

Inheritance diagram for ControllersCollection:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| handleRequest (HttpRequest $request)
| setMav (ModelAndView $mav)
| getMav ()
| add (Controller $controller, RequestType $requestType=null)
| setDefaultRequestType (RequestType $requestType)

## Private Member Functions

| getActiveController (HttpRequest $request)

## Private Attributes

| $innerControllers = array()
| $defaultRequestType = null
| $mav = null

## Detailed Description

Definition at line 12 of file ControllersCollection.class.php.

## Constructor & Destructor Documentation

ControllersCollection::__construct | ( |  | ) |

Definition at line 19 of file ControllersCollection.class.php.

References Model::create(), ModelAndView::create(), and RequestType::post().

Here is the call graph for this function:

## Member Function Documentation

ControllersCollection::add | ( | Controller $ | controller,
|  | RequestType $ | requestType = `null` |
| ) |  |  |

Returns:
  ControllersCollection

Definition at line 96 of file ControllersCollection.class.php.

References ProxyController::create().

Here is the call graph for this function:

ControllersCollection::getActiveController | ( | HttpRequest $ | request | ) | `[private]`

Returns:
  Controller

Definition at line 125 of file ControllersCollection.class.php.

Referenced by handleRequest().

ControllersCollection::getMav | ( |  | ) |

Returns:
  ModelAndView

Definition at line 88 of file ControllersCollection.class.php.

ControllersCollection::handleRequest | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Implements Controller.

Definition at line 31 of file ControllersCollection.class.php.

References TextUtils::downFirst(), getActiveController(), and Assert::isNotEmptyArray().

Here is the call graph for this function:

ControllersCollection::setDefaultRequestType | ( | RequestType $ | requestType | ) |

Returns:
  ControllersCollection

Definition at line 115 of file ControllersCollection.class.php.

ControllersCollection::setMav | ( | ModelAndView $ | mav | ) |

Returns:
  ControllersCollection

Definition at line 78 of file ControllersCollection.class.php.

## Member Data Documentation

ControllersCollection::$defaultRequestType = null`[private]`

Definition at line 16 of file ControllersCollection.class.php.

ControllersCollection::$innerControllers = array()`[private]`

Definition at line 14 of file ControllersCollection.class.php.

ControllersCollection::$mav = null`[private]`

Definition at line 17 of file ControllersCollection.class.php.

The documentation for this class was generated from the following file:

- main/Flow/ControllersCollection.class.php